Subject: Re: scenarios (was: [Asrg] 4.a Taxonomy - Classification of messages])

From: Andrew Akehurst <[email-masked]>
Date: Fri, 10 Oct 2003 09:21:41 +0100

Thanks for the info. I've had a quick skim through your taxonomy
 and there's some good ideas in there.

My main criterion for the classification was to classify things
into different categories only if a machine could reasonably
recognise the difference between them.

Whilst I agree with you that there is a difference between,
for example, targetted non-bulk commerical mail and private
e-mail, I am sceptical that a machine could tell the difference
(in general).

They might be able recognise whether the same address had
previously sent e-mail to the reciever, to verify a digital
signature or perhaps use some statistical method to estimate the
probability of that message being spam. However, given a
targetted message from some previously-unseen address it is very
difficult for a machine to classify the message as one or the
other.

I don't mean this as a criticism of your taxonomy, because it
looks to me to be very thorough and comprehensive. I just think
that there's a slightly different focus in what I'm doing, which
is looking at how e-mail is used from a machine's perspective.
Since the machine has no idea whether a message is targetted or
not, that part of the taxonomy does not translate into
machine-based scenarios.

However, thanks for the feedback and I'm sure that some of your
ideas would be useful in developing machine-oriented scenarios.

Further comments welcome...

Andrew

Quoting Markus Stumpf <[email-masked]>:

> I have posted that message yesterday.
> IMHO it aims in the same direction.
> 
> 	\Maex
> 
> 
> ----- Forwarded message from Markus Stumpf
> <[email-masked]> -----
> 
> Date: Wed, 8 Oct 2003 23:51:17 +0200
> Return-Path: <[email-masked]>
> Delivered-To: [email-masked]
> To: [email-masked]
> From: Markus Stumpf <[email-masked]>
> Subject: [Asrg] 4.a Taxonomy - Classification of messages
> 
> IMHO it would be useful if we could create some sort of classification
> of emails. Within this classification it would be possible to define
> policies. These could be used for something like a combination of e.g.
> P3P (http://www.w3.org/P3P/) and uce/ube/address policies companies
> stick too. So a webpage that allows to enter a email address could say:
>    "We strictly stick to classification 3.2.2"
> 
> To provide some meat for a dicussion here are my thoughts:
> 
> 1. private email
>    1. a message from a person I know (or not)
>       the content is non commercial and has private character
> 2. targetted non-bulk email
>    1. to private
>       1. commercial
> 	 1. solicited (e.g. your contract ends, here's a offer for a new one)
> 	 2. unsolicited
> 	    who are you and where did you get my address from.
> 	    "a good friend of you gave us your address because he thinks
> 	     this might be also useful for you"
>       2. non-commercial
>    2. to company
>       1. solicited
> 	 1. customer contact
> 	 2. solicitation of an offer
>       2. unsolicited
> 	 1. commercial
> 	 2. charitable (our school needs PCs, you have a computer
> 	    store, maybe you have some elder PCs you can donate)
> 	 3. non-commercial (can you send me a giveaway, I collect pins)
> 3. bulk email
>    1. discussion lists
>       1. opt-in
>       2. double opt-in
>    2. announcement lists (newsletters)
>       1. opt-in
>       2. double opt-in
>       3. opt-out (working information provided in message)
>       4. probably opt-out (no information provided in message, contact
> sender)
>       5. bounce handling
>       6. neither 1.-5.
> 	 1. existing sender contact
> 	 2. faked sender contact
>    3. one time mailings
>       1. info from a business partner
>       2. info targetted to business but no business partner (considered
> useful)
> 	 e.g.: companies that sell various goods get email from a new
> 	 company whether they are interested to sell their new product
>       3. info not targetted to business from out of the wild
> 	 1. commercial
> 	 2. charitable (please support WHO activity for hungry children)
> 	 3. non-commercial (can you send me a giveaway, I collect pins)
> 4. automated messages/answers *1
>    1. administrative (DSN)
>       1. failure notices
>       2. delay warnings
>       3. confirm receipt
>          1. requested (X-Confirm-Receipt)
>          2. unrequested (e.g. help desk systems that ACK receipt of
> incident)
>       3. confirm reading
>    2. autoresponders
>       1. out of office / vacation
>       2. address change
>       3. challenges (C/R systems)
>    3. virus notifications
>       1. for viri that don't fake senders
>       2. for viri that fake senders
>    4. email robots
>       - document retrieval
>       - mailingslist management ((un-)subscribe, moderate)
>       - ftp-mailers
> 
> *1  see also
>    
> http://www.ietf.org/internet-drafts/draft-moore-auto-email-response-04.txt
> 
> 
> 	\Maex
> 
> ----- End forwarded message -----
> -- 
> SpaceNet AG            | Joseph-Dollinger-Bogen 14 | Fon: +49 (89)
> 32356-0
> Research & Development |       D-80807 Muenchen    | Fax: +49 (89)
> 32356-299
> "The security, stability and reliability of a computer system is
> reciprocally
>  proportional to the amount of vacuity between the ears of the admin"
> 

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg